# Uses of Class
org.sunflow.image.Color

Packages that use Color
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.display
org.sunflow.core.gi
org.sunflow.core.light
org.sunflow.core.parser
org.sunflow.core.photonmap
org.sunflow.core.primitive
org.sunflow.core.shader
org.sunflow.image
org.sunflow.image.formats
org.sunflow.image.writers
org.sunflow.system

## Uses of Color in org.sunflow

Methods in org.sunflow with parameters of type Color
Modifier and Type
Method
Description
`void`
Benchmark.`imageFill(int x, int y, int w, int h, Color c, float alpha)`
`void`
Benchmark.`imageUpdate(int x, int y, int w, int h, Color[] data, float[] alpha)`

## Uses of Color in org.sunflow.core

Methods in org.sunflow.core that return Color
Modifier and Type
Method
Description
`final Color`
ShadingState.`diffuse(Color diff)`
Computes a plain diffuse response to the current light samples and global illumination.
`Color`
ParameterList.`getColor(String name, Color defaultValue)`
Get the specified color parameter from this list.
`Color`
LightSample.`getDiffuseRadiance()`
Get diffuse radiance.
`Color`
GIEngine.`getGlobalRadiance(ShadingState state)`
This is an optional method for engines that contain a secondary illumination engine which can return an approximation of the global radiance in the scene (like a photon map).
`final Color`
ShadingState.`getGlobalRadiance()`
Returns the glboal diffuse radiance estimate given by the current `GIEngine` if present.
`Color`
GIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
Return the incomming irradiance due to indirect diffuse illumination at the specified surface point.
`final Color`
ShadingState.`getIrradiance(Color diffuseReflectance)`
Gets the total irradiance reaching the current point from diffuse surfaces.
`Color`
Shader.`getOpacity(ShadingState state)`
Returns how much light is blocked by this shader.
`Color`
Texture.`getOpacity(float x, float y)`
`Color`
Texture.`getPixel(float x, float y)`
Gets the color at location (x,y) in the texture.
`Color`
GlobalPhotonMapInterface.`getRadiance(Point3 p, Vector3 n)`
Lookup the global diffuse radiance at the specified surface point.
`Color`
Shader.`getRadiance(ShadingState state)`
Gets the radiance for a specified rendering state.
`final Color`
ShadingState.`getResult()`
Get the result of shading this point
`Color`
LightSample.`getSpecularRadiance()`
Get specular radiance.
`Color`
ShadingCache.`lookup(ShadingState state, Shader shader)`
`final Color`
ShadingState.`occlusion(int samples, float maxDist)`
Simple black and white ambient occlusion.
`final Color`
ShadingState.`occlusion(int samples, float maxDist, Color bright, Color dark)`
Ambient occlusion routine, returns a value between bright and dark depending on the amount of geometric occlusion in the scene.
`final Color`
ShadingState.`shade()`
Run the shader at this surface point.
`final Color`
ShadingState.`specularPhong(Color spec, float power, int numRays)`
Computes a phong specular response to the current light samples and global illumination.
`final Color`
ShadingState.`traceGlossy(Ray r, int i)`
Returns the color obtained by recursively tracing the specified ray.
`final Color`
ShadingState.`traceReflection(Ray r, int i)`
Returns the color obtained by recursively tracing the specified ray.
`final Color`
ShadingState.`traceRefraction(Ray r, int i)`
Returns the color obtained by recursively tracing the specified ray.
`final Color`
ShadingState.`traceShadow(Ray r)`
Trace a shadow ray against the scene, and computes the accumulated opacity along the ray.
`final Color`
ShadingState.`traceTransparency()`
Trace transparency, this is equivalent to tracing a refraction ray in the incoming ray direction.
`Color`
ShadingState.`traceTransparentShadow(float oldMaxT)`
Methods in org.sunflow.core with parameters of type Color
Modifier and Type
Method
Description
`void`
ShadingCache.`add(ShadingState state, Shader shader, Color c)`
`void`
ParameterList.`addColor(String name, Color value)`
Add the specified color as a parameter.
`final Color`
ShadingState.`diffuse(Color diff)`
Computes a plain diffuse response to the current light samples and global illumination.
`Color`
ParameterList.`getColor(String name, Color defaultValue)`
Get the specified color parameter from this list.
`Color`
GIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
Return the incomming irradiance due to indirect diffuse illumination at the specified surface point.
`final Color`
ShadingState.`getIrradiance(Color diffuseReflectance)`
Gets the total irradiance reaching the current point from diffuse surfaces.
`void`
LightSource.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
Gets a photon to emit from this light source by setting each of the arguments.
`void`
Display.`imageFill(int x, int y, int w, int h, Color c, float alpha)`
Update the current image with a region of flat color.
`void`
Display.`imageUpdate(int x, int y, int w, int h, Color[] data, float[] alpha)`
Update the current image with a bucket of data.
`final Color`
ShadingState.`occlusion(int samples, float maxDist, Color bright, Color dark)`
Ambient occlusion routine, returns a value between bright and dark depending on the amount of geometric occlusion in the scene.
`void`
Shader.`scatterPhoton(ShadingState state, Color power)`
Scatter a photon with the specied power.
`void`
LightSample.`setRadiance(Color d, Color s)`
Set the diffuse and specular radiance emitted by the current light source.
`final Color`
ShadingState.`specularPhong(Color spec, float power, int numRays)`
Computes a phong specular response to the current light samples and global illumination.
`void`
PhotonStore.`store(ShadingState state, Vector3 dir, Color power, Color diffuse)`
Store the specified photon.
`final void`
ShadingState.`storePhoton(Vector3 dir, Color power, Color diffuse)`
Records a photon at the specified location.
`final void`
ShadingState.`traceDiffusePhoton(Ray r, Color power)`
Trace a new photon from the current location.
`final void`
ShadingState.`traceReflectionPhoton(Ray r, Color power)`
Trace a new photon from the current location.
`final void`
ShadingState.`traceRefractionPhoton(Ray r, Color power)`
Trace a new photon from the current location.

## Uses of Color in org.sunflow.core.display

Methods in org.sunflow.core.display with parameters of type Color
Modifier and Type
Method
Description
`void`
FastDisplay.`imageFill(int x, int y, int w, int h, Color c, float alpha)`
`void`
FileDisplay.`imageFill(int x, int y, int w, int h, Color c, float alpha)`
`void`
FrameDisplay.`imageFill(int x, int y, int w, int h, Color c, float alpha)`
`void`
ImgPipeDisplay.`imageFill(int x, int y, int w, int h, Color c, float alpha)`
`void`
FastDisplay.`imageUpdate(int x, int y, int w, int h, Color[] data, float[] alpha)`
`void`
FileDisplay.`imageUpdate(int x, int y, int w, int h, Color[] data, float[] alpha)`
`void`
FrameDisplay.`imageUpdate(int x, int y, int w, int h, Color[] data, float[] alpha)`
`void`
ImgPipeDisplay.`imageUpdate(int x, int y, int w, int h, Color[] data, float[] alpha)`

## Uses of Color in org.sunflow.core.gi

Methods in org.sunflow.core.gi that return Color
Modifier and Type
Method
Description
`Color`
AmbientOcclusionGIEngine.`getGlobalRadiance(ShadingState state)`
`Color`
FakeGIEngine.`getGlobalRadiance(ShadingState state)`
`Color`
InstantGI.`getGlobalRadiance(ShadingState state)`
`Color`
IrradianceCacheGIEngine.`getGlobalRadiance(ShadingState state)`
`Color`
PathTracingGIEngine.`getGlobalRadiance(ShadingState state)`
`Color`
AmbientOcclusionGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
FakeGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
InstantGI.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
IrradianceCacheGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
PathTracingGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
Methods in org.sunflow.core.gi with parameters of type Color
Modifier and Type
Method
Description
`Color`
AmbientOcclusionGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
FakeGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
InstantGI.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
IrradianceCacheGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`
`Color`
PathTracingGIEngine.`getIrradiance(ShadingState state, Color diffuseReflectance)`

## Uses of Color in org.sunflow.core.light

Methods in org.sunflow.core.light that return Color
Modifier and Type
Method
Description
`Color`
ImageBasedLight.`getOpacity(ShadingState state)`
`Color`
SphereLight.`getOpacity(ShadingState state)`
`Color`
SunSkyLight.`getOpacity(ShadingState state)`
`Color`
TriangleMeshLight.`getOpacity(ShadingState state)`
`Color`
ImageBasedLight.`getRadiance(ShadingState state)`
`Color`
SphereLight.`getRadiance(ShadingState state)`
`Color`
SunSkyLight.`getRadiance(ShadingState state)`
`Color`
TriangleMeshLight.`getRadiance(ShadingState state)`
`Color`
SunSkyLight.`getSunColor()`
Methods in org.sunflow.core.light with parameters of type Color
Modifier and Type
Method
Description
`void`
DirectionalSpotlight.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
`void`
ImageBasedLight.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
`void`
PointLight.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
`void`
SphereLight.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
`void`
SunSkyLight.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
`void`
TriangleMeshLight.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
`void`
ImageBasedLight.`scatterPhoton(ShadingState state, Color power)`
`void`
SphereLight.`scatterPhoton(ShadingState state, Color power)`
`void`
SunSkyLight.`scatterPhoton(ShadingState state, Color power)`
`void`
TriangleMeshLight.`scatterPhoton(ShadingState state, Color power)`

## Uses of Color in org.sunflow.core.parser

Methods in org.sunflow.core.parser that return Color
Modifier and Type
Method
Description
`protected Color`
SCAsciiParser.`parseColor()`

## Uses of Color in org.sunflow.core.photonmap

Methods in org.sunflow.core.photonmap that return Color
Modifier and Type
Method
Description
`Color`
GlobalPhotonMap.`getRadiance(Point3 p, Vector3 n)`
`Color`
GridPhotonMap.`getRadiance(Point3 p, Vector3 n)`
Methods in org.sunflow.core.photonmap with parameters of type Color
Modifier and Type
Method
Description
`void`
CausticPhotonMap.`store(ShadingState state, Vector3 dir, Color power, Color diffuse)`
`void`
GlobalPhotonMap.`store(ShadingState state, Vector3 dir, Color power, Color diffuse)`
`void`
GridPhotonMap.`store(ShadingState state, Vector3 dir, Color power, Color diffuse)`

## Uses of Color in org.sunflow.core.primitive

Methods in org.sunflow.core.primitive that return Color
Modifier and Type
Method
Description
`Color`
CornellBox.`getOpacity(ShadingState state)`
`Color`
Hair.`getOpacity(ShadingState state)`
`Color`
CornellBox.`getRadiance(ShadingState state)`
`Color`
Hair.`getRadiance(ShadingState state)`
Methods in org.sunflow.core.primitive with parameters of type Color
Modifier and Type
Method
Description
`void`
CornellBox.`getPhoton(double randX1, double randY1, double randX2, double randY2, Point3 p, Vector3 dir, Color power)`
`void`
CornellBox.`scatterPhoton(ShadingState state, Color power)`
`void`
Hair.`scatterPhoton(ShadingState state, Color power)`

## Uses of Color in org.sunflow.core.shader

Methods in org.sunflow.core.shader that return Color
Modifier and Type
Method
Description
`Color`
AmbientOcclusionShader.`getBrightColor(ShadingState state)`
`Color`
TexturedAmbientOcclusionShader.`getBrightColor(ShadingState state)`
`protected Color`
AnisotropicWardShader.`getDiffuse(ShadingState state)`
`Color`
DiffuseShader.`getDiffuse(ShadingState state)`
`protected Color`
PhongShader.`getDiffuse(ShadingState state)`
`Color`
ShinyDiffuseShader.`getDiffuse(ShadingState state)`
`Color`
TexturedDiffuseShader.`getDiffuse(ShadingState state)`
`Color`
TexturedPhongShader.`getDiffuse(ShadingState state)`
`Color`
TexturedShinyDiffuseShader.`getDiffuse(ShadingState state)`
`Color`
TexturedWardShader.`getDiffuse(ShadingState state)`
`Color`
UberShader.`getDiffuse(ShadingState state)`
`Color`
WireframeShader.`getFillColor(ShadingState state)`
`Color`
WireframeShader.`getLineColor(ShadingState state)`
`Color`
AmbientOcclusionShader.`getOpacity(ShadingState state)`
`Color`
AnisotropicWardShader.`getOpacity(ShadingState state)`
`Color`
ConstantShader.`getOpacity(ShadingState state)`
`Color`
DiffuseShader.`getOpacity(ShadingState state)`
`Color`
GlassShader.`getOpacity(ShadingState state)`
`Color`
IDShader.`getOpacity(ShadingState state)`
`Color`
MirrorShader.`getOpacity(ShadingState state)`
`Color`
NormalShader.`getOpacity(ShadingState state)`
`Color`
PhongShader.`getOpacity(ShadingState state)`
`Color`
PrimIDShader.`getOpacity(ShadingState state)`
`Color`
QuickGrayShader.`getOpacity(ShadingState state)`
`Color`
ShinyDiffuseShader.`getOpacity(ShadingState state)`
`Color`
SimpleShader.`getOpacity(ShadingState state)`
`Color`
TexturedDiffuseShader.`getOpacity(ShadingState state)`
`Color`
TexturedPhongShader.`getOpacity(ShadingState state)`
`Color`
TexturedShinyDiffuseShader.`getOpacity(ShadingState state)`
`Color`
TexturedWardShader.`getOpacity(ShadingState state)`
`Color`
UberShader.`getOpacity(ShadingState state)`
`Color`
UVShader.`getOpacity(ShadingState state)`
`Color`
ViewCausticsShader.`getOpacity(ShadingState state)`
`Color`
ViewGlobalPhotonsShader.`getOpacity(ShadingState state)`
`Color`
ViewIrradianceShader.`getOpacity(ShadingState state)`
`Color`
WireframeShader.`getOpacity(ShadingState state)`
`Color`
AmbientOcclusionShader.`getRadiance(ShadingState state)`
`Color`
AnisotropicWardShader.`getRadiance(ShadingState state)`
`Color`
ConstantShader.`getRadiance(ShadingState state)`
`Color`
DiffuseShader.`getRadiance(ShadingState state)`
`Color`
GlassShader.`getRadiance(ShadingState state)`
`Color`
IDShader.`getRadiance(ShadingState state)`
`Color`
MirrorShader.`getRadiance(ShadingState state)`
`Color`
NormalShader.`getRadiance(ShadingState state)`
`Color`
PhongShader.`getRadiance(ShadingState state)`
`Color`
PrimIDShader.`getRadiance(ShadingState state)`
`Color`
QuickGrayShader.`getRadiance(ShadingState state)`
`Color`
ShinyDiffuseShader.`getRadiance(ShadingState state)`
`Color`
SimpleShader.`getRadiance(ShadingState state)`
`Color`
TexturedDiffuseShader.`getRadiance(ShadingState state)`
`Color`
TexturedPhongShader.`getRadiance(ShadingState state)`
`Color`
TexturedShinyDiffuseShader.`getRadiance(ShadingState state)`
`Color`
UberShader.`getRadiance(ShadingState state)`
`Color`
UVShader.`getRadiance(ShadingState state)`
`Color`
ViewCausticsShader.`getRadiance(ShadingState state)`
`Color`
ViewGlobalPhotonsShader.`getRadiance(ShadingState state)`
`Color`
ViewIrradianceShader.`getRadiance(ShadingState state)`
`Color`
WireframeShader.`getRadiance(ShadingState state)`
`Color`
UberShader.`getSpecular(ShadingState state)`
Methods in org.sunflow.core.shader with parameters of type Color
Modifier and Type
Method
Description
`void`
AmbientOcclusionShader.`scatterPhoton(ShadingState state, Color power)`
`void`
AnisotropicWardShader.`scatterPhoton(ShadingState state, Color power)`
`void`
ConstantShader.`scatterPhoton(ShadingState state, Color power)`
`void`
DiffuseShader.`scatterPhoton(ShadingState state, Color power)`
`void`
GlassShader.`scatterPhoton(ShadingState state, Color power)`
`void`
IDShader.`scatterPhoton(ShadingState state, Color power)`
`void`
MirrorShader.`scatterPhoton(ShadingState state, Color power)`
`void`
NormalShader.`scatterPhoton(ShadingState state, Color power)`
`void`
PhongShader.`scatterPhoton(ShadingState state, Color power)`
`void`
PrimIDShader.`scatterPhoton(ShadingState state, Color power)`
`void`
QuickGrayShader.`scatterPhoton(ShadingState state, Color power)`
`void`
ShinyDiffuseShader.`scatterPhoton(ShadingState state, Color power)`
`void`
SimpleShader.`scatterPhoton(ShadingState state, Color power)`
`void`
UberShader.`scatterPhoton(ShadingState state, Color power)`
`void`
UVShader.`scatterPhoton(ShadingState state, Color power)`
`void`
ViewCausticsShader.`scatterPhoton(ShadingState state, Color power)`
`void`
ViewGlobalPhotonsShader.`scatterPhoton(ShadingState state, Color power)`
`void`
ViewIrradianceShader.`scatterPhoton(ShadingState state, Color power)`
`void`
WireframeShader.`scatterPhoton(ShadingState state, Color power)`
Constructors in org.sunflow.core.shader with parameters of type Color
Modifier
Constructor
Description
``
`AmbientOcclusionShader(Color c, float d)`

## Uses of Color in org.sunflow.image

Fields in org.sunflow.image declared as Color
Modifier and Type
Field
Description
`static final Color`
Color.`BLACK`
`static final Color`
Color.`BLUE`
`static final Color`
Color.`CYAN`
`static final Color`
Color.`GRAY`
`static final Color`
Color.`GREEN`
`static final Color`
Color.`MAGENTA`
`static final Color`
Color.`RED`
`static final Color`
Color.`WHITE`
`static final Color`
Color.`YELLOW`
Methods in org.sunflow.image that return Color
Modifier and Type
Method
Description
`final Color`
Color.`add(Color c)`
`static final Color`
Color.`add(Color c1, Color c2)`
`static final Color`
Color.`add(Color c1, Color c2, Color dest)`
`static Color`
Color.`black()`
`static final Color`
Color.`blend(Color c1, Color c2, float b)`
`static final Color`
Color.`blend(Color c1, Color c2, float b, Color dest)`
`static final Color`
Color.`blend(Color c1, Color c2, Color b)`
`static final Color`
Color.`blend(Color c1, Color c2, Color b, Color dest)`
`final Color`
Color.`clamp(float min, float max)`
`final Color`
Color.`constrainRGB()`
`final Color`
RGBSpace.`convertXYZtoRGB(float X, float Y, float Z)`
`final Color`
RGBSpace.`convertXYZtoRGB(XYZColor c)`
`Color`
Color.`copy()`
`static Color`
ColorFactory.`createColor(String colorspace, float... data)`
Creates a color value in the renderer's internal color space from a string (representing the color space name) and an array of floating point values.
`final Color`
Color.`div(Color c)`
`static final Color`
Color.`div(Color c1, Color c2)`
`static final Color`
Color.`div(Color c1, Color c2, Color dest)`
`final Color`
Color.`exp()`
`final Color`
Color.`madd(float s, Color c)`
`final Color`
Color.`madd(Color s, Color c)`
`final Color`
Color.`mul(float s)`
`static final Color`
Color.`mul(float s, Color c)`
`static final Color`
Color.`mul(float s, Color c, Color dest)`
`final Color`
Color.`mul(Color c)`
`static final Color`
Color.`mul(Color c1, Color c2)`
`static final Color`
Color.`mul(Color c1, Color c2, Color dest)`
`final Color`
Color.`opposite()`
`abstract Color`
Bitmap.`readColor(int x, int y)`
`final Color`
Color.`set(float r, float g, float b)`
`final Color`
Color.`set(Color c)`
`final Color`
Color.`setRGB(int rgb)`
`final Color`
Color.`setRGBE(int rgbe)`
`final Color`
Color.`sub(Color c)`
`static final Color`
Color.`sub(Color c1, Color c2)`
`static final Color`
Color.`sub(Color c1, Color c2, Color dest)`
`Color`
Color.`toLinear()`
`Color`
Color.`toNonLinear()`
`static final Color[]`
ColorEncoder.`unlinearize(Color[] color)`
Moves the colors in the specified array to non-linear space.
`static final Color[]`
ColorEncoder.`unpremult(Color[] color, float[] alpha)`
Undoes the premultiplication of the specified color array.
`static Color`
Color.`white()`
Methods in org.sunflow.image with parameters of type Color
Modifier and Type
Method
Description
`final Color`
Color.`add(Color c)`
`static final Color`
Color.`add(Color c1, Color c2)`
`static final Color`
Color.`add(Color c1, Color c2, Color dest)`
`static final Color`
Color.`blend(Color c1, Color c2, float b)`
`static final Color`
Color.`blend(Color c1, Color c2, float b, Color dest)`
`static final Color`
Color.`blend(Color c1, Color c2, Color b)`
`static final Color`
Color.`blend(Color c1, Color c2, Color b, Color dest)`
`final XYZColor`
RGBSpace.`convertRGBtoXYZ(Color c)`
`final Color`
Color.`div(Color c)`
`static final Color`
Color.`div(Color c1, Color c2)`
`static final Color`
Color.`div(Color c1, Color c2, Color dest)`
`static final int[]`
ColorEncoder.`encodeRGBE(Color[] color)`
Encode the specified colors using Ward's RGBE technique.
`static final boolean`
Color.`hasContrast(Color c1, Color c2, float thresh)`
`final Color`
Color.`madd(float s, Color c)`
`final Color`
Color.`madd(Color s, Color c)`
`static final Color`
Color.`mul(float s, Color c)`
`static final Color`
Color.`mul(float s, Color c, Color dest)`
`final Color`
Color.`mul(Color c)`
`static final Color`
Color.`mul(Color c1, Color c2)`
`static final Color`
Color.`mul(Color c1, Color c2, Color dest)`
`static final byte[]`
ColorEncoder.`quantizeRGB8(Color[] color)`
Quantize the specified colors to 8-bit RGB format.
`static final byte[]`
ColorEncoder.`quantizeRGBA8(Color[] color, float[] alpha)`
Quantize the specified colors to 8-bit RGBA format.
`final Color`
Color.`set(Color c)`
`final Color`
Color.`sub(Color c)`
`static final Color`
Color.`sub(Color c1, Color c2)`
`static final Color`
Color.`sub(Color c1, Color c2, Color dest)`
`static final Color[]`
ColorEncoder.`unlinearize(Color[] color)`
Moves the colors in the specified array to non-linear space.
`static final Color[]`
ColorEncoder.`unpremult(Color[] color, float[] alpha)`
Undoes the premultiplication of the specified color array.
`void`
BitmapWriter.`writeTile(int x, int y, int w, int h, Color[] color, float[] alpha)`
Write a tile of data.
Constructors in org.sunflow.image with parameters of type Color
Modifier
Constructor
Description
``
`Color(Color c)`

## Uses of Color in org.sunflow.image.formats

Methods in org.sunflow.image.formats that return Color
Modifier and Type
Method
Description
`Color`
BitmapBlack.`readColor(int x, int y)`
`Color`
BitmapG8.`readColor(int x, int y)`
`Color`
BitmapGA8.`readColor(int x, int y)`
`Color`
BitmapRGB8.`readColor(int x, int y)`
`Color`
BitmapRGBA8.`readColor(int x, int y)`
`Color`
BitmapRGBE.`readColor(int x, int y)`
`Color`
BitmapXYZ.`readColor(int x, int y)`
`Color`
GenericBitmap.`readColor(int x, int y)`
Methods in org.sunflow.image.formats with parameters of type Color
Modifier and Type
Method
Description
`void`
GenericBitmap.`writePixel(int x, int y, Color c, float a)`

## Uses of Color in org.sunflow.image.writers

Methods in org.sunflow.image.writers with parameters of type Color
Modifier and Type
Method
Description
`void`
EXRBitmapWriter.`writeTile(int x, int y, int w, int h, Color[] color, float[] alpha)`
`void`
HDRBitmapWriter.`writeTile(int x, int y, int w, int h, Color[] color, float[] alpha)`
`void`
IGIBitmapWriter.`writeTile(int x, int y, int w, int h, Color[] color, float[] alpha)`
`void`
PNGBitmapWriter.`writeTile(int x, int y, int w, int h, Color[] color, float[] alpha)`
`void`
TGABitmapWriter.`writeTile(int x, int y, int w, int h, Color[] color, float[] alpha)`

## Uses of Color in org.sunflow.system

Methods in org.sunflow.system with parameters of type Color
Modifier and Type
Method
Description
`void`
ImagePanel.`imageFill(int x, int y, int w, int h, Color c, float alpha)`
`void`
ImagePanel.`imageUpdate(int x, int y, int w, int h, Color[] data, float[] alpha)`